Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065605 - [RFE][glance]: Introspection of images
Summary: [RFE][glance]: Introspection of images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-glance
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: Upstream M3
: 7.0 (Kilo)
Assignee: Flavio Percoco
QA Contact: nlevinki
URL: https://blueprints.launchpad.net/glan...
Whiteboard: upstream_milestone_kilo-3 upstream_st...
Depends On:
Blocks: 1213684
TreeView+ depends on / blocked
 
Reported: 2014-02-15 05:07 UTC by RHOS Integration
Modified: 2016-04-26 16:27 UTC (History)
5 users (show)

Fixed In Version: openstack-glance-2015.1.0-6.el7ost
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 13:11:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:1548 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2015-08-05 17:07:06 UTC

Description RHOS Integration 2014-02-15 05:07:55 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/glance/+spec/introspection-of-images.

Description:

Several formats of images come with a set of metadata embedded inside the image itself.

For example, a stream optimized vmdk will look like this:
$ head -20 so-disk.vmdk

# Disk DescriptorFile
version=1
CID=d5a0bce5
parentCID=ffffffff
createType="streamOptimized"

# Extent description
RDONLY 209714 SPARSE "generated-stream.vmdk"

# The Disk Data Base
#DDB

ddb.adapterType = "buslogic"
ddb.geometry.cylinders = "102"
ddb.geometry.heads = "64"
ddb.geometry.sectors = "32"
ddb.virtualHWVersion = "4"

By introspecting this vmdk, we know easily that the disk_type is streamOptimized and the adapter_type is buslogic.
By doing this metadata extraction in Glance, the administrator doesn't have to care about all of these metadata unless he wants to override some of them.
These metadata are useful for the consumer of the image: in Nova, the workflow to instantiate a streamOptimized disk is totally different than the one to instantiate a flat disk.

This metadata extraction can be achieved using the asynchronous processing provided by this blueprint https://blueprints.launchpad.net/glance/+spec/async-glance-workers








Specification URL (additional information):

None

Comment 6 errata-xmlrpc 2015-08-05 13:11:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1548


Note You need to log in before you can comment on or make changes to this bug.